rpmurl.h File Reference
RPM IO API.

Go to the source code of this file.

## Typedefs

typedef enum urltype_e | urltype
| Supported URL types. More...

## Enumerations

enum | urltype_e { URL_IS_UNKNOWN = 0, URL_IS_DASH = 1, URL_IS_PATH = 2, URL_IS_FTP = 3, URL_IS_HTTP = 4, URL_IS_HTTPS = 5, URL_IS_HKP = 6 }
| Supported URL types. More...

## Functions

urltype | urlIsURL (const char *url)
| Return type of URL. More...
urltype | urlPath (const char *url, const char **pathp)
| Return path component of URL. More...
int | urlGetFile (const char *url, const char *dest)
| Copy data from URL to local file. More...